Subject: Re: bug#74545: 30.0.92; faces not displayed in (some?) new buffers

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Feb 2025 17:20:54 -0800

tags 74545 + moreinfo
thanks

Christopher Howard <[email-masked]> writes:

> I haven't done much troubleshooting/isolation yet, but I wanted to have
> a bug report to work off of. Sometime recently (within last week?) I
> have had this trouble where a lot (some? all?) new buffers are starting
> without any face colors or styling displayed. I get can get the faces to
> show by turning on font-lock-mode for that buffer, which appears to be
> disabled when the buffer is created. It appears that in all cases
> global-font-lock-mode is already enabled, so I don't know why the
> individual buffers have font-lock turned off.
>
> I am very fuzzy on what exactly controls whether or not faces are
> displayed, so if there is something other than font-lock-mode that I
> should be thinking about, please let me know.
>
> In my init file, the only thing I see directly related to font lock mode
> is this line:
>
> ```
>  '(treesit-font-lock-level 4)
> ```
>
> I'll play around with toggling it as soon as I get a chance. I do have
> LOTS of 3rd party packages loaded, and I haven't tried bisecting or
> isolating anything yet.

Thanks, I'm tagging this as moreinfo until we have more information to
work with.